MacellanMacellan SuperApp
Şube

Güncelle

  • Önceden oluşturulan şubeleri güncellemek için kullanılır.
  • Code alanı güncellenmek istendiğinde mevcut kullanılan code alanı aynen gönderilmeli. Güncellenmek istenen code değeri ise updated_code olarak gönderilmelidir.
PUT
/integration/branch/update

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

phone?string
active?boolean
location?string
open_address?string
code*string
updated_code?string
allow_point_usage?boolean
description?string
name?string
{
  "phone": "+905231113344",
  "active": true,
  "location": "41.08447542240944, 28.985638326773866",
  "open_address": "Test open address",
  "code": "Test-123",
  "updated_code": "New-Code-123",
  "allow_point_usage": true,
  "description": "Test description",
  "name": "Test Branch"
}

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://api.altpay.dev/integration/branch/update" \  -H "Content-Type: application/json" \  -d '{    "code": "Test-123"  }'
{
  "data": {
    "success": true
  }
}
{
  "message": "Unauthenticated"
}
{
  "message": "İşlemi yapmak için yetkili değilsiniz."
}
{
  "message": "Gönderdiğiniz Veriler Geçersiz",
  "errors": {
    "property": [
      "Hata açıklaması"
    ]
  }
}